<?php

add_filter('acf/location/rule_types', 'a3p_location_rules_types');
function a3p_location_rules_types( $choices )
{
    $choices['Basic']['editing_tax'] = 'Editing Taxonomy'; 	
    return $choices;
}

add_filter('acf/location/rule_values/editing_tax', 'a3p_location_rules_values_editing_tax');
function a3p_location_rules_values_editing_tax( $choices )
{		 
	$choices['editing']='Is Editing';
	$choices['creating']='Is Creating';	
    return $choices;
}

add_filter('acf/location/rule_match/editing_tax', 'a3p_location_rules_match_editing_tax', 10, 3);
function a3p_location_rules_match_editing_tax( $match, $rule, $options )
{	
	global $pagenow;
	if( $rule['param']!='editing_tax' || $pagenow!="edit-tags.php" )return;
	
	if($rule['operator']=='==' && $rule['value']=='editing')
	{	
		if($_GET['action']=='edit')$match=true;		
	} 
	else if($rule['operator']=='!=' && $rule['value']=='editing')
	{	
		if($_GET['action']!='edit')$match=true;		
	} 
	if($rule['operator']=='==' && $rule['value']=='creating')
	{	
		if($_GET['action']!='edit')$match=true;		
	} 
	else if($rule['operator']=='!=' && $rule['value']=='creating')
	{	
		if($_GET['action']=='edit')$match=true;		
	} 	
    return $match;
}
